# Object Instance `nixio.CryptoHash`

Cryptographical Hash and HMAC object.

## Functions

CryptoHash:final () | Finalize the hash and return the digest.
CryptoHash:update (chunk) | Add another chunk of data to be hashed.

## Functions

CryptoHash:final ()
  Finalize the hash and return the digest.

  ### Usage:

  You cannot call update on a hash object that was already finalized you can however call final multiple times to get the digest.

  ### Return values:

  1. hexdigest
  2. buffer containing binary digest
CryptoHash:update (chunk)
  Add another chunk of data to be hashed.

  ### Parameters

  - chunk: Chunk of data

  ### Return value:

  CryptoHash object (self)